!------------------------------------------------------------------------------------!
! David Julian Kling | 2016 | Johann Wolfgang Goethe-Universität Frankfurt am Main   !
!------------------------------------------------------------------------------------!


program TOV_main
! Hauptprogramm
use params
use integrator, only : TOV_solver
use ODE_system, only : rho
implicit none
      open(unit=unit_test, FILE="test.dat",ACTION='WRITE')
      call initial_information
      call TOV_solver
      close(unit=unit_test)

contains
      subroutine initial_information
        write(6,*) '--------------------------------------------------------------'
        write(6,*) ' TOV-solver    | von David J. Kling    | April 2016           '
        write(6,*) '--------------------------------------------------------------'
        write(6,*) ' Sie haben folgende Anfangsbedinungen und Parameter gewählt:  '
        write(6,*) '                                                              '
        write(6,'(a14,f10.4,a18)')  ' gamma       =',gamma_poly,' = 1 + 1/n'
!        write(6,'(a14,f10.4,a22)')  ' K           =',K,' (polytrope Konstante)'
        write(6,'(a14,es14.4,a18)') ' rho_initial =',rho(P_init)*rho_geom_to_cgs,' (zentrale Dichte)'
        write(6,'(a14,es14.4,a18)') ' P_initial   =',P_init*P_geom_to_cgs,' (zentraler Druck)'
        write(6,*) '--------------------------------------------------------------'
      end subroutine initial_information
      

end program TOV_main

